-- wengwengweng

local Event = {}

Event.list = {}

function Event.register(e, action)

	if (not Event.list[e]) then
		Event.list[e] = { action }
	elseif (type(Event.list[e]) == "table") then
		Event.list[e][#Event.list[e] + 1] = action
	end

end

function Event.trigger(e, ...)

	if (Event.has(e)) then
		for i, f in ipairs(Event.list[e]) do
			f(...)
		end
	end

end

function Event.remove(e)

	if (Event.has(e)) then
		Event.list[e] = nil
	end

end

function Event.has(expected)

	for e, f in pairs(Event.list) do
		if e == expected then
			return true
		end
	end

	return false

end

return Event
