-- wengwengweng

local Blanket = Item:extend()

Blanket.name = "Blanket"

function Blanket:init(x, y)

	-- Props
	self.opened = false

	-- Nodes
	self:n(T(x, y))
	self:n(Motion())
	self[Motion]:setSpeed(12)
	self:n(Sprite(assets.sprites.blanket))
	self[Sprite]:setWidth(256)
	self:n(Box({ {12, 12}, {200, 12}, {200, 200}, {12, 200} }, self.parent[World]))

end

function Blanket:click(index)

	if (self.opened) then
		self.opened = false
		self[Motion]:to(self[Motion][T].pos:sub(42, 42))
		sounds:play("scratch")
	else
		self.opened = true
		self[Motion]:to(self[Motion][T].pos:add(42, 42))
		sounds:play("scratch")
	end

end

return Blanket
