-- wengwengweng

local Paste = Item:extend()

Paste.name = "Paste"

function Paste:init(x, y)

	-- Nodes
	self:n(T(x, y))
	self:n(Sprite(assets.sprites.paste, 4))
	self[Sprite]:setOffset(0.5, 0.5):setWidth(280)
	self[Sprite]:clip("idle", {1, 1})
	self[Sprite]:clip("squeeze", {1, 4})
	self[Sprite]:play("idle")
	self:n(Box({ {48, -128}, {94, -78}, {-28, 75}, {-92, 28} }, self.parent[World]))

	self[Sprite]:on("squeeze", function()
		self[Box][1]:setVertices({ {-85, 56}, {-56, 74}, {-115, 133}, {-150, 111} })
	end)

end

function Paste:accept()

	return self[Sprite]:is("squeeze")

end

function Paste:click(index)

	if (self[Sprite]:is("idle")) then

		self[Sprite]:play("squeeze")
		sounds:play("squeeze")

	end

end

return Paste
