-- wengwengweng

local cursor = {}

cursor.states = {}

function cursor:supported()
	return love.mouse.isCursorSupported()
end

function cursor:register(name, file, x, y)
	if (self:supported()) then
		self.states[name] = love.mouse.newCursor(file, x, y)
	end
end

function cursor:set(t)
	if (self:supported()) then
		love.mouse.setCursor(self.states[t])
	end
end

function cursor:setRelative(b)
	if (self:supported()) then
		love.mouse.setRelativeMode(b)
	end
end

function cursor:toggleRelative()
	if (self:supported()) then
		love.mouse.setRelativeMode(not love.mouse.getRelativeMode())
	end
end

return cursor
