-- wengwengweng

local data = {}

function data.init(file, d)

	data.dir = file

	if (not love.filesystem.exists(data.dir)) then
		data.save(d)
	end

end

function data.save(d)

	bitser.dumpLoveFile(data.dir, d)

end

function data.load()

	return bitser.loadLoveFile(data.dir)

end

function data.get(key)

	return data.load()[key]

end

function data.set(key, val)

	local d = data.load()

	d[key] = val
	data.save(d)

end

return data
