-- wengwengweng

local Bag = Node:extend()

Bag.name = "Bag"

function Bag:init(x, y)

	-- Nodes
	self:n(T(x, y))
	self:n(World())
	self:n(Sprite(assets.sprites.bag))
	self[Sprite]:setWidth(180):setOffset(0.5, 0.5)

	-- Props
	self.holding = false
	self.itemPos = Vector(0, 12)

end

function Bag:fetch(item)

	if (not self[ToothBrush]) then

		item[T]:to(self[T])
		self:adopt(item)
		self:pick()

	end

end

function Bag:hold()

	self.holding = true

end

function Bag:drop()

	self.holding = false

end

function Bag:pick()

	self:drop()
	self[ToothBrush][Motion]:to(self.itemPos:unpack())

end

function Bag:full()

	if (self[ToothBrush]) then
		return self[ToothBrush][T].pos == self.itemPos
	end

	return false

end

return Bag
