-- wengwengweng

local Eye = Item:extend()

Eye.name = "Eye"

function Eye:init(x, y)

	-- Nodes
	self:n(T(x, y))
	self:n(Sprite(assets.sprites.eye, 3))
	self[Sprite]:setWidth(560):setOffset(0.5, 0.5)
	self[Sprite]:clip("dirty", {1, 1})
	self[Sprite]:clip("clean", {2, 3}, true)
	self[Sprite]:setSpeed(0.66)
	self[Sprite]:play("dirty")
	self:n(Box({ {-216, -96}, {216, -96}, {216, 96}, {-216, 96} }, self.parent[World]))
	self:n(Timer())

end

function Eye:clean()

	self[Sprite]:play("clean")
	self.root:go()

	self[Timer]:after(2.64, function()
		self.parent:found()
	end)

end

return Eye
