-- wengwengweng

local Item = Node:extend()

Item.name = "Item"

function Item:input(e)

	e:mouseMoved(function(x, y, dx, dy)

		if (not self[Box]) then
			return
		end

		for i, a in ipairs(self[Box]) do
			if (a:hasPoint(screen:toGame(x, y))) then
				self:hover()
			end
		end

	end)

	e:mousePressed({1, 2}, function(x, y)

		if (not self[Box]) then
			return
		end

		local x, y = screen:toGame(x, y)

		for i, a in ipairs(self[Box]) do

			if (self.root.clicked) then
				return
			end

			if (a:hasPoint(x, y)) then

				self:click(i, x, y)
				self.root.clicked = true

			end

		end

	end)

	e:mouseReleased({1, 2}, function(x, y)

		if (not self[Box]) then
			return
		end

		local x, y = screen:toGame(x, y)

		for i, a in ipairs(self[Box]) do
			if (a:hasPoint(x, y)) then
				self:release(i, x, y)
			end
		end

	end)

end

function Item:query(x, y)

	for i, a in ipairs(self[Box]) do
		if (a:hasPoint(x, y)) then
			return true
		end
	end

end

function Item:hover()

	cursor:set("hand")

end

function Item:click() end
function Item:release() end

return Item
