-- wengwengweng

local Light = Item:extend()

Light.name = "Light"

function Light:init(x, y)

	-- Props
	self.lighting = true

	-- Nodes
	self:n(T(x, y))

	local s = self:n(Sprite(assets.sprites.light, 2))

	s:setWidth(96)
	s:clip("light", {1, 1})
	s:clip("dim", {2, 2})
	s:play("light")

	self:n(Box({ {12, 84}, {84, 84}, {84, 172}, {12, 172} }, self.parent[World]))

end

function Light:click(index)

	if (self.lighting) then

		self[Sprite]:play("dim")
		self.lighting = false
		self.parent:darken()
		sounds:get("switch"):setPitch(1.2)
		sounds:play("switch")

	else

		self[Sprite]:play("light")
		self.lighting = true
		self.parent:lighten()
		sounds:get("switch"):setPitch(0.8)
		sounds:play("switch")

	end

end

return Light
